petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISSetPermutation

Informs the index set that it is a permutation.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISSetPermutation(IS is)

Logically Collective on IS Many br

### Input Parmeters

is -the index set Many br

Many br

The debug version of the libraries (./configure --with-debugging=1) checks if the Many brindex set is actually a permutation. The optimized version just believes you. Many br

### See Also

ISPermutation()

Level:intermediate
Location:src/vec/is/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages